get
https://{app-url}{}/api/v2/users
Retreive all Anodot Users
Retrieve a list of all users in the account. This request does not include a body.
Response Fields
The response is an array of user objects. Each object includes the following fields:
| Field | Type | Description / Example |
|---|---|---|
| id | string ($uuid) | Unique user ID. |
| createdAt | timestamp | Time when the user was created. |
| firstName | string | First name of the user. |
| lastName | string | Last name of the user. |
| string | Email address of the user. | |
| roles | enum | User role. One of: {'customer-user', 'customer-admin'}. |
| disabled | boolean | false if the user is active, true if the user is disabled. |
| ownerOrganization | string ($uuid) | Customer ID. This value is identical for all users in the account. |
| groups | array | List of group IDs the user belongs to (empty if none). |
| defaultGroup | string ($uuid) | Group ID of the user’s default group. |
| lastActive | timestamp | Time when the user was last active. Not returned if the user has never been active. |
